Subject: Re: winsup/mkvers.sh
From: Chris Faylor <[email-masked]>
To: Alexey Voinov <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Jan 2000 20:01:03 -0500

On Fri, Jan 14, 2000 at 06:48:08PM +0300, Alexey Voinov wrote:
>Hello,
>
>> It sounds like you're fixing the symptom rather than the problem.
>>
>> In what situations is $dir empty?  It is never supposed to be empty.
>
>I Found it first in 20000105 snapshot. But error is still there (20000108).
>Look at Makefile.in and mkvers.sh:
>Makefile.in:
>: winver_stamp: mkvers.sh include/cygwin/version.h winver.rc $(DLL_OFILES)
>:               @echo "Making version.o and winver.o";\
>:               $(SHELL) ${word 1,$^} ${word 2,$^} ${word 3,$^} $(WINDRES); \
>mkvers.sh:
>: incfile="$1"                ( $incfile=="include/cygwin/version.h" )
>: dir=`dirname $incfile`      ( $dir=="include/cygwin" )
>: dir=`echo $dir | sed -e 's%/include/cygwin.*$%%' -e 's%include/cygwin.*$%%'`
>                              ( $dir=="" )
>: $windres --include-dir $dir/../w32api/include ....
>                         ^^^^^^^^^^^^^^^^^^^^^^
>                         =="/../w32api/include
>
>So no paths will be added to standard include path.
>At work I have very old snapshot which have old winapi headers ( and
>doesn't have winver.h.
>Look at winver.rc:
>: #include <winver.h>
>
>At home I have 20000105 installed so error doesn't appear.

Ok.  As I said, this patch was fixing the symptom.  dir is not supposed
to be empty.  Hopefully, this will be fixed in the next snapshot.  It
only required a one character fix.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]